%define upstream_name    Unicode-UTF8
%define upstream_version 0.62

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 13

Summary:    Encoding and decoding of UTF-8 encoding form
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Unicode/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Encode) >= 1.980.100
BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.590.0
BuildRequires: perl(Test::Fatal) >= 0.6.0
BuildRequires: perl(Test::More) >= 0.470.0
BuildRequires: perl(XSLoader)
BuildRequires: perl-devel

# Don't "provide" private Perl libs
%{?perl_default_filter}

%description
This module provides functions to encode and decode UTF-8 encoding form as
specified by Unicode and ISO/IEC 10646:2011.

Here is a summary of features for comparison with the Encode manpage's
UTF-8 implementation:

* *

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorarch}/*


%changelog
* Fri Aug 23 2024 tv <tv> 0.620.0-13.mga10
+ Revision: 2089057
- Rebuild for perl-5.40

* Tue Nov 28 2023 tv <tv> 0.620.0-12.mga10
+ Revision: 2010506
- Rebuild for perl-5.38

* Tue Jun 07 2022 umeabot <umeabot> 0.620.0-11.mga9
+ Revision: 1862957
- Rebuild for Perl 5.36

* Thu Mar 17 2022 umeabot <umeabot> 0.620.0-10.mga9
+ Revision: 1796251
- Mageia 9 Mass Rebuild

* Mon May 24 2021 umeabot <umeabot> 0.620.0-9.mga9
+ Revision: 1727695
- Rebuild for perl 5.34

* Thu Jun 18 2020 umeabot <umeabot> 0.620.0-8.mga8
+ Revision: 1595669
- Rebuild for perl 5.32

* Sun Feb 16 2020 umeabot <umeabot> 0.620.0-7.mga8
+ Revision: 1530151
- Mageia 8 Mass Rebuild

* Tue Aug 27 2019 tmb <tmb> 0.620.0-6.mga8
+ Revision: 1433937
- rebuild for perl 5.30

* Fri Sep 21 2018 umeabot <umeabot> 0.620.0-5.mga7
+ Revision: 1293939
- Mageia 7 Mass Rebuild

* Wed Aug 08 2018 pterjan <pterjan> 0.620.0-4.mga7
+ Revision: 1249920
- Rebuild for perl 5.28

* Tue Oct 03 2017 tv <tv> 0.620.0-3.mga7
+ Revision: 1167227
- rebuild with fixed rpm for missing autodeps

* Thu Aug 31 2017 pterjan <pterjan> 0.620.0-2.mga7
+ Revision: 1149426
- Rebuild for perl ABI changes

* Mon Jul 24 2017 sander85 <sander85> 0.620.0-1.mga7
+ Revision: 1130070
- update to 0.62
+ neoclust <neoclust>
- Rebuild against new Perl 5.26

* Sun Jun 19 2016 pterjan <pterjan> 0.600.0-10.mga6
+ Revision: 1035493
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 0.600.0-9.mga6
+ Revision: 958189
- Mageia 6 Mass Rebuild

* Fri Jun 26 2015 tv <tv> 0.600.0-8.mga6
+ Revision: 845460
- rebuild for soname-ifed perl

* Tue Jun 23 2015 sander85 <sander85> 0.600.0-7.mga6
+ Revision: 841363
- Rebuild for perl 5.22

* Wed Oct 15 2014 umeabot <umeabot> 0.600.0-6.mga5
+ Revision: 744051
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 0.600.0-5.mga5
+ Revision: 732590
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 0.600.0-4.mga5
+ Revision: 686799
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 pterjan <pterjan> 0.600.0-3.mga5
+ Revision: 631849
- Rebuild for perl 5.20

* Mon Oct 21 2013 umeabot <umeabot> 0.600.0-2.mga4
+ Revision: 537573
- Mageia 4 Mass Rebuild

* Thu Sep 26 2013 sander85 <sander85> 0.600.0-1.mga4
+ Revision: 487294
- update to 0.60

* Fri Jun 07 2013 jquelin <jquelin> 0.590.0-1.mga4
+ Revision: 440050
- update to 0.59

* Wed May 29 2013 jquelin <jquelin> 0.580.0-3.mga4
+ Revision: 431829
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.580.0-2.mga3
+ Revision: 374620
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 03 2013 shlomif <shlomif> 0.580.0-1.mga3
+ Revision: 338122
- update to 0.58

* Wed Nov 07 2012 jquelin <jquelin> 0.570.0-1.mga3
+ Revision: 315935
- update to 0.57

* Wed May 30 2012 jquelin <jquelin> 0.550.0-2.mga3
+ Revision: 251290
- rebuild for perl 5.16

* Tue Feb 21 2012 kharec <kharec> 0.550.0-1.mga2
+ Revision: 211740
- update to 0.55

* Thu Nov 24 2011 kharec <kharec> 0.530.0-1.mga2
+ Revision: 171593
- update to 0.53

* Wed Nov 23 2011 kharec <kharec> 0.520.0-1.mga2
+ Revision: 171187
- update to 0.52

* Tue Nov 22 2011 kharec <kharec> 0.510.0-1.mga2
+ Revision: 171011
- imported package perl-Unicode-UTF8

